VerticalAlignment

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.format
Class VerticalAlignment

    java.lang.Object
      jxl.format.VerticalAlignment

Direct Known Subclasses:
  VerticalAlignment

    public class VerticalAlignment

extends java.lang.Object

Enumeration type which describes the vertical alignment of data within a cell

Field Summary
`static VerticalAlignment` | `BOTTOM` Cells with this specified vertical alignment will have their data aligned at the bottom
`static VerticalAlignment` | `CENTRE` Cells with this specified vertical alignment will have their data aligned centrally
`static VerticalAlignment` | `JUSTIFY` Cells with this specified vertical alignment will have their data justified
`static VerticalAlignment` | `TOP` Cells with this specified vertical alignment will have their data aligned at the top

Method Summary
`static VerticalAlignment` | `getAlignment(int val)` Gets the alignment from the value
`java.lang.String` | `getDescription()` Gets the textual description
`int` | `getValue()` Accessor for the binary value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static VerticalAlignment TOP

  Cells with this specified vertical alignment will have their data aligned at the top

### CENTRE

    public static VerticalAlignment CENTRE

  Cells with this specified vertical alignment will have their data aligned centrally

### BOTTOM

    public static VerticalAlignment BOTTOM

  Cells with this specified vertical alignment will have their data aligned at the bottom

### JUSTIFY

    public static VerticalAlignment JUSTIFY

  Cells with this specified vertical alignment will have their data justified

Method Detail

### getValue

    public int getValue()

  Accessor for the binary value

  Returns:
    the internal binary value

### getDescription

    public java.lang.String getDescription()

  Gets the textual description

### getAlignment

    public static VerticalAlignment getAlignment(int val)

  Gets the alignment from the value

  Parameters:
    `val` -
  Returns:
    the alignment with that value

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD